commit:     4615e51deb239a6e860ada83fc962900a956ed56
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 25 07:34:50 2017 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Mon Sep 25 07:35:04 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4615e51d

dev-lang/julia: Disable doc fetching #628358

This is a dirty hack and most likely not a good solution.

Package-Manager: Portage-2.3.10, Repoman-2.3.3

 dev-lang/julia/{julia-0.6.0.ebuild => julia-0.6.0-r1.ebuild} | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/dev-lang/julia/julia-0.6.0.ebuild 
b/dev-lang/julia/julia-0.6.0-r1.ebuild
similarity index 91%
rename from dev-lang/julia/julia-0.6.0.ebuild
rename to dev-lang/julia/julia-0.6.0-r1.ebuild
index f3f54493445..9c6d3d76eb3 100644
--- a/dev-lang/julia/julia-0.6.0.ebuild
+++ b/dev-lang/julia/julia-0.6.0-r1.ebuild
@@ -102,6 +102,9 @@ src_prepare() {
        sed -i \
                -e "s|ar -rcs|$(tc-getAR) -rcs|g" \
                src/Makefile || die
+
+       # disable doc install starting  git fetching
+       sed -i -e 's~install: $(build_depsbindir)/stringreplace 
$(BUILDROOT)/doc/_build/html/en/index.html~install: 
$(build_depsbindir)/stringreplace~' Makefile || die
 }
 
 src_configure() {
@@ -159,7 +162,10 @@ src_install() {
        # Julia is special. It tries to find a valid git repository (that would
        # normally be cloned during compilation/installation). Just make it
        # happy...
-       git init && git commit -a --allow-empty -m "initial" || die "git failed"
+       git init && \
+               git config --local user.email "[email protected]" && \
+               git config --local user.name "Whyyyyyy" && \
+               git commit -a --allow-empty -m "initial" || die "git failed"
 
        emake install \
                prefix="/usr" DESTDIR="${D}" CC="$(tc-getCC)" CXX="$(tc-getCXX)"

Reply via email to